/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geoviewer;

import com.vividsolutions.jts.geom.Point;

/**
 * A DynamicPoint is a mutable Point that defines extra methods for
 * setting the location.
 *
 * @author Wytse Visser
 */
public interface DynamicPoint extends DynamicGeometrical<Point> {

    /**
     * Update the position to the given longitude and latitude.
     *
     * @param longitude The new longitude
     * @param latitude The new latitude
     */
    public void setPosition(double longitude, double latitude);

}
