/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.awt.Color;
import java.util.Random;
import org.netbeans.api.visual.model.ObjectState;

/**
 *
 * Quick implementation to create a layer with random color.
 * 
 * @author Timon Veenstra <monezz@gmail.com>
 */
public class RandomColorPalette extends Palette<Object> {

    public RandomColorPalette() {
        super(Color.BLACK);
        Random rand = new Random();
        float r = rand.nextFloat();
        float g = rand.nextFloat();
        float b = rand.nextFloat();
        Color randomColor = new Color(r, g, b);
        setBaseColor(randomColor);        
    }

    @Override
    public Color getColorForState(ObjectState state) {
        return super.getColorForState(state);
    }
}
