/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geoviewer;

import com.vividsolutions.jts.geom.Geometry;
import nl.cloudfarming.client.geoviewer.event.GeoEvent;
import org.openide.nodes.Node;

/**
 * Abstraction for providing the input and handling the output of 
 * splitting a geometry.
 * 
 * @author johan
 */
public abstract class SplitGeometryHandler {
    
    public abstract Geometry getSource();
    public abstract boolean handle(Geometry[] geometries, Node sourceNode);
    
    protected void addToMap(Node node) {
        if (node != null) {
            GeoEvent.getProducer().triggerEvent(GeoEvent.NEW_LAYER, node);
        }
    }
    
    protected void removeFromMap(Node node) {
        if (node != null) {
            GeoEvent.getProducer().triggerEvent(GeoEvent.DISCARD_LAYER, node);
        }
    }
}
